{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genCardDetail.html.twig" as cd %}
{% block body %}
    <h5>Detail Berlangganan</h5>
    <div class="row">
        <div class="col col-sm-12 mb-4">
            {{ cd.card_detail('Detail Berlangganan',actionLangganan,'detail') }}
        </div>
        <div class="col col-sm-12 col-md-6 mb-4">
            {{ cd.card_detail('Pelanggan',null,'pelanggan') }}
        </div>
        <div class="col col-sm-12 col-md-6 mb-4">
            {{ cd.card_detail('Pengajar',null,'pengajar') }}
        </div>
    </div>
    <div class="card mb-4">
        <div class="card-body">
            <h6 class="font-weight-bold">Riwayat Langganan</h6>
            <div class="dropdown-divider"></div>
            {{ dt.datatable('berlangganan') }}
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <h6 class="font-weight-bold">Riwayat Presensi Online</h6>
            <div class="dropdown-divider"></div>
            {{ dt.datatable() }}
        </div>
    </div>

    <div class="modal fade" id="modalGantiStatus" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <h5 class="text-center">Ganti Pengajar</h5>

                    <div class="input-group md-form form-sm form-1 pl-0">
                        <div class="input-group-prepend">
                            <span class="input-group-text purple" id="basic-text1">
                                <i class="fa fa-search" aria-hidden="true"></i>
                            </span>
                        </div>
                        <input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modalGantiPaket" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content card-genossys">
                <div class="modal-body p-md-4 p-sm-0">
                    <h5 class="text-center">Ganti Paket</h5>
                    <div class="form-group">
                        <label for="select">Paket Berlangganan</label>
                        <select class="custom-select" id="select">
                            <option selected>Pilih Paket</option>
                            <option value="1">One</option>
                            <option value="2">Two</option>
                            <option value="3">Three</option>
                        </select>
                    </div>
                    <label for="">Durasi Setiap Pertemuan</label>
                    <div class="d-flex mb-3">
                        <input class="checkbox-jam  method" type="radio" name="durasi" id="60" value="60"
                               onclick="" checked>
                        <label class="for-checkbox-jam flex-grow-1" for="60">
                            60 Menit
                        </label>
                        <input class="checkbox-jam method" type="radio" name="durasi" value="90" id="90"
                               onclick="">
                        <label class="for-checkbox-jam  flex-grow-1" for="90">
                            90 Menit
                        </label>
                        <input class="checkbox-jam method" type="radio" name="durasi" value="120" id="120"
                               onclick="">
                        <label class="for-checkbox-jam  flex-grow-1" for="120">
                            120 Menit
                        </label>
                    </div>
                    <label for="">Jumlah Siswa</label>
                    <div class="d-flex mb-3">
                        <input class="checkbox-jam  method" type="radio" name="siswa" id="satu" value="1"
                               onclick="" checked>
                        <label class="for-checkbox-jam flex-grow-1" for="satu">
                            1
                        </label>
                        <input class="checkbox-jam method" type="radio" name="siswa" value="2" id="dua"
                               onclick="">
                        <label class="for-checkbox-jam  flex-grow-1" for="dua">
                            2
                        </label>
                        <input class="checkbox-jam method" type="radio" name="siswa" value="3" id="tiga"
                               onclick="">
                        <label class="for-checkbox-jam  flex-grow-1" for="tiga">
                            3
                        </label>
                        <input class="checkbox-jam method" type="radio" name="siswa" value="4" id="empat"
                               onclick="">
                        <label class="for-checkbox-jam  flex-grow-1" for="empat">
                            4
                        </label>
                        <input class="checkbox-jam method" type="radio" name="siswa" value="5" id="lima"
                               onclick="">
                        <label class="for-checkbox-jam  flex-grow-1" for="lima">
                            5
                        </label>
                    </div>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="btn btn-primary btn-blue" style="width: 10em">Ganti</button>
                    <button type="button" class="btn btn-blue-outline" data-dismiss="modal" style="width: 10em">Batal</button>
                </div>
            </div>
        </div>
    </div>
    {#{{ dt.datatable('tb2') }}#}
    {#    {{ card.card_detail('Level',actionLevel,'level') }}#}
    {#    {{ card.card_detail('Member',actionMember,'member') }}#}
{% endblock %}

{% block javascripts %}
    <script>
        $(document).on('click', 'a#GantiStatus', function () {
            $('#modalGantiStatus').modal();
        });
        $(document).on('click', 'a#GantiPaket', function () {
            $('#modalGantiPaket').modal();
        });

    </script>

    {{ dt.datatableJS(classCart, space, tableAction, cartField,whereCart,groupBy,null,'yes','berlangganan') }}
    {{ dt.datatableJS(classAttendance, space, tableAction, tableFieldsPresensi,whereLangganan,groupBy, null) }}
    {#    {{ dt.datatableJS(class1, space1, tableAction, tableFields1,where,null,'yes','tb2') }}#}
    {#    {{ card.cardDetailJS(tableFields,space,class,where,'level') }}#}
    {#    {{ card.cardDetailJS(tableFields1,space1,class1,where,'member') }}#}
    {{ cd.cardDetailJS(detailLangganan,space,class,whereLangganan,'detail') }}
    {{ cd.cardDetailJS(pelanggan,space,class,whereLangganan,'pelanggan') }}
    {{ cd.cardDetailJS(pengajar,space,class,whereLangganan,'pengajar') }}
{% endblock %}